# Uses of Class
org.springframework.context.PayloadApplicationEvent

Packages that use PayloadApplicationEvent
Package
Description
org.springframework.context
This package builds on the beans package to add support for message sources and for the Observer design pattern, and the ability for application objects to obtain resources using a consistent API.

## Uses of PayloadApplicationEvent in org.springframework.context

Methods in org.springframework.context that return types with arguments of type PayloadApplicationEvent
Modifier and Type
Method
Description
`static <T> ApplicationListener<PayloadApplicationEvent<T>>`
ApplicationListener.`forPayload(Consumer<T> consumer)`
Create a new `ApplicationListener` for the given payload consumer.